Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000054 [libFirm] API tweak always 2010-05-28 11:11 2011-06-17 20:29
Reporter zwinkau View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version 1.18.0
Summary 0000054: unintuitive dump interface
Description Unify the dump functions, so a new user does not use the wrong one, without noticing the other versions.

All affected functions (hopefully): dump_ir_block_graph, dump_loop_tree, dump_ir_graph_w_types, dump_interval_graph, dump_cfg, dump_type_graph, dump_ir_graph, dump_graph, dump_ir_block_graph_w_types, dump_graph_as_text, dump_ir_extblock_graph
Additional Information Task for novice bug hunters ;)
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000090)
Matze (administrator)
2010-08-13 12:36

The dumper interface was rewritten in r27653

- Issue History
Date Modified Username Field Change
2010-05-28 11:11 zwinkau New Issue
2010-08-13 12:36 Matze Note Added: 0000090
2010-08-13 12:36 Matze Assigned To => Matze
2010-08-13 12:36 Matze Status new => resolved
2010-08-13 12:36 Matze Resolution open => fixed
2011-06-17 20:29 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker